Name:		virt-viewer
Version:	5.0
Release:	%mkrel 1
Summary:	Virtual Machine Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://virt-manager.org/
Source:		http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: pkgconfig(glib-2.0) >= 2.38
BuildRequires: pkgconfig(gtk+-3.0) >= 3.10
BuildRequires: pkgconfig(libvirt) >= 0.10.0
BuildRequires: pkgconfig(libvirt-glib-1.0) >= 0.1.8
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires: pkgconfig(gtk-vnc-2.0) >= 0.4.0
BuildRequires: pkgconfig(spice-client-gtk-3.0) >= 0.31
BuildRequires: pkgconfig(spice-protocol) >= 0.12.7
BuildRequires: intltool
BuildRequires: desktop-file-utils

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%prep
%setup -q

%build
%define spice_arg --with-spice-gtk
%define gtk_arg --with-gtk=3.0
%configure2_5x %{spice_arg} %{gtk_arg} --with-buildid=%{release} --disable-update-mimedb
%make

%install
%make_install
%find_lang %{name}

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/appdata/remote-viewer.appdata.xml
%{_iconsdir}/*/*/*/*


%changelog
* Wed Dec 07 2016 tv <tv> 5.0-1.mga6
+ Revision: 1072961
- fix file list
- new release

* Wed Apr 27 2016 tv <tv> 3.1-2.mga6
+ Revision: 1006787
- explicitely enable spice-gtk
- rebuild for latest spice stack

* Wed Mar 16 2016 tv <tv> 3.1-1.mga6
+ Revision: 992123
- new release

* Wed Feb 17 2016 umeabot <umeabot> 2.0-2.mga6
+ Revision: 963211
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 ycantin <ycantin> 2.0-1.mga6
+ Revision: 895778
- new version 2.0
- spec cleanup

* Wed Oct 15 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 740613
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 690214
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 1.0-1.mga5
+ Revision: 659849
- New version: 1.0

* Mon Feb 17 2014 oden <oden> 0.6.0-1.mga5
+ Revision: 593578
- sync a bit with upstream spec file
- 0.6.0

* Fri Jan 24 2014 oden <oden> 0.5.7-1.mga4
+ Revision: 567704
- 0.5.7

* Sat Oct 19 2013 umeabot <umeabot> 0.5.6-2.mga4
+ Revision: 530254
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 fwang <fwang> 0.5.6-1.mga4
+ Revision: 456795
- update file list
- fix str fmt
- new version 0.5.6

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 385423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 cjw <cjw> 0.5.4-2.mga3
+ Revision: 334090
- include spice client support

* Thu Oct 18 2012 tv <tv> 0.5.4-1.mga3
+ Revision: 307937
- new release

* Fri Aug 03 2012 tv <tv> 0.5.3-1.mga3
+ Revision: 278139
- patch 0: fix desktop file
- adjust file list
- new release

* Sat Jan 28 2012 tv <tv> 0.4.2-1.mga2
+ Revision: 202471
- new release

* Wed Sep 07 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 140185
- new release
- further fix file list
- fix file list
- new release

* Tue Mar 15 2011 saispo <saispo> 0.3.1-1.mga1
+ Revision: 71975
- Add macro for language
- Add language files
- Add intltool BuildRequires
- imported package virt-viewer

